name: ci

on:
  push:
    branches:
      - main
  pull_request:
    branches:
      - main

jobs:
  ci:
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v3
      - run: corepack enable
      - uses: actions/setup-node@v3
        with:
          node-version: 16
          cache: pnpm

      - name: 📦 Install dependencies
        run: pnpm install --frozen-lockfile

      - name: 🚧 Set up project
        run: pnpm nuxi prepare

      - name: 🧪 Test project
        run: pnpm test

      - name: 📝 Lint
        run: pnpm lint

      - name: 💪 Type check
        run: pnpm test:typecheck
